> For the complete documentation index, see [llms.txt](https://docs.nexthink.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nexthink.com/user-guide/collaboration-experience/call-quality-nql-capabilities.md).

# Call quality NQL capabilities

Access collaboration data through [Investigations](/user-guide/investigations.md) using the `collaboration.sessions` table of the [NQL data model](/understanding-key-data-platform-concepts/nql-data-model.md).

### Investigating and querying call quality data <a href="#gettingstartedwithcollaborationexperience-theinvestigationsmodule" id="gettingstartedwithcollaborationexperience-theinvestigationsmodule"></a>

Use a unified `call.quality` metric to evaluate the overall quality of a call, based on a combination of multiple factors such as audio, video, and screen sharing quality, and call connection issues that impact the call.

{% code overflow="wrap" lineNumbers="true" %}

```
collaboration.sessions past 24h
| summarize poor_qualitycalls=countif(call.quality=poor)by device.name
| list device.name, poor_qualitycalls
| sort poor_qualitycalls desc 
```

{% endcode %}

### Identifying MS Teams Rooms calls

You can easily identify calls made by meeting rooms through the device type **room\_system** which is accessible through the NQL field `collaboration.session.participant_device.type`.

Use the following query to retrieve devices with Microsoft Teams Rooms:

{% code overflow="wrap" lineNumbers="true" %}

```
devices 
| with collaboration.sessions 
| where participant_device.type = room_system or device.meeting_room_name != null
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.nexthink.com/user-guide/collaboration-experience/call-quality-nql-capabilities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
